
// (C) 2007-08 tomonaga tokuyama
// http://www.dropping.at


var MyOverlay = new Object;

MyOverlay.setup = function (element, altElement) {
	this.element = element;
	this.altElement = altElement;
	this.fadeAnimator = null;
	this.opacity = this.element.style.opacity = 0;
}

MyOverlay.fadeAnimFunc = function (animation, now, first, done)
{
	var self = MyOverlay;
	self.element.style.opacity = now;
	self.altElement.style.opacity = 1.0 - now;
	self.opacity = now;
}

MyOverlay.startFade =  function (toOpacity)
{
	if(this.fadeAnimator) {
		this.fadeAnimator.stop();
		delete this.fadeAnimator;
	}
	this.fadeAnimator = new AppleAnimator (500, 13);
	this.fadeAnimator.oncomplete = this.endFade;
	this.fadeAnimator.addAnimation(new AppleAnimation (this.opacity, toOpacity, this.fadeAnimFunc));
	this.fadeAnimator.start();
}

MyOverlay.endFade =  function ()
{
	delete MyOverlay.fadeAnimator;
}

MyOverlay.fadeIn = function ()
{
	this.startFade(1.0);
}


MyOverlay.fadeOut = function ()
{
	if (MyGuides.shown)
		return;
	this.startFade(0.0);
}
