
// (C) 2007-08 tomonaga tokuyama
// http://www.dropping.at


MyBackWindow = new Object();

MyBackWindow.setup = function ()
{
	this.filterPopup =  new MyPopup(_gel("backFilterPopup"));
	this.outputFormatPopup = new MyPopup(_gel("backOutputFormatPopup"));
	this.backdropPopup = new MyPopup(_gel("backBackdropPopup"));
//	this.useEnhanceCheck = _gel("backUseEnhanceCheck");
//	this.useWatermarkCheck =  _gel("backUseWatermarkCheck");
	
	this.outputFormatPopup.init(null,
			new Array(
			{txt:"PNG", val:"png"},
			{txt:"TIFF", val:"tiff"},
			{txt:"JPEG", val:"jpg1"},
			{txt:"JPEG (Low)", val:"jpg2"}
		)
	);
	
	this.backdropPopup.init(null,
			new Array(
			{txt:"Transparent", val:""},
			{txt:"White", val:"white"},
			{txt:"Gray", val:"gray"},
			{txt:"Black", val:"black"}
//			{txt:"Aqua", val:"aqua"}
		)
	);

	this.filterPopup.init(null,
			new Array(
			{txt:"None", val:""},
			{txt:"1 Bit", val:"1Bit"},
			{txt:"Pushpin", val:"Pushpin"},
			{txt:"Reflection", val:"Reflection"},
			{txt:"Rounded Corners", val:"RoundRect"},
			{txt:"Shadow", val:"DropShadow"},
			{txt:"Tape", val:"Tape"},
			{txt:"Toy Camera", val:"ToyCam"},
			{txt:"VTR", val:"VTR"}
		)
	);
	
	this.outputFormatPopup.element.addEventListener("change", this.formatChange, false);
	this.backdropPopup.element.addEventListener("change", this.backdropChange, false);
	this.filterPopup.element.addEventListener("change", this.filterChange, false);
	
}

MyBackWindow.formatChange = function (event) {
	var self = MyBackWindow;
	var fmt = self.outputFormatPopup.getValue();
	var bg = self.backdropPopup.getValue();
	if (fmt.indexOf("jpg") > -1 && bg == "") {
		self.backdropPopup.setValue("white");
	}		
}

MyBackWindow.backdropChange = function (event) {
	var self = MyBackWindow;
	var fmt = self.outputFormatPopup.getValue();
	var bg = self.backdropPopup.getValue();
	var flt = self.filterPopup.getValue();
	if (fmt.indexOf("jpg") > -1 && bg == "") {
		self.outputFormatPopup.setValue("png");
	}		
	if (flt == "ToyCam" && bg == "") {
		self.filterPopup.setValue("");
	}		
}

MyBackWindow.filterChange = function (event) {
	var self = MyBackWindow;
	var flt = self.filterPopup.getValue();
	var bg = self.backdropPopup.getValue();
	if (flt == "ToyCam" && bg == "") {
		self.backdropPopup.setValue("black");
	}		
}

MyBackWindow.updateValues = function () {
}

MyBackWindow.applyChanges = function ()
{
	var v;
	v = this.outputFormatPopup.getValue();
	pref.set("fileType", v);
	v = this.filterPopup.getValue();
    MyCanvas.setEffect(v);
	pref.set("filter", v);
	v = this.backdropPopup.getValue()
	MyCanvas.setBG(v);
	pref.set("backdrop", v);
	// v = this.useWatermarkCheck.checked;	
    // TODO:  canvas...
	//pref.set("watermark", v);
	// v = this.useEnhanceCheck.checked;	
    // TODO:  canvas...
	// pref.set("enhance", v);
}

MyBackWindow.readPrefs = function () {
	var v;
	v = pref.get("filter", "");
	this.filterPopup.setValue(v);
	v = pref.get("fileType", "png");
	this.outputFormatPopup.setValue(v);
	v = pref.get("backdrop", "transparent");
	this.backdropPopup.setValue(v);
	// v = pref.get("watermark", false);
	// this.useWatermarkCheck.checked = v;
	// v = pref.get("enhance", false);
	// this.useEnhanceCheck.checked = v;
    this.applyChanges();
}

