
// (C) 2007-08 tomonaga tokuyama
// http://www.dropping.at


var MyToolbar = new Object();

MyToolbar.setup = function (element)
{
	this.element = element;
}


function MyToolbarPopupButton()
{};


MyToolbarPopupButton.prototype._setup = function (element, parent, caption, list/*{txt, val}*/, callback)
{
	this.element = element;
	this.popup = document.createElement("select");
	parent.appendChild(this.popup);
	this.popup.style.opacity = 0;
	this.popup.style.position = 'absolute';
	this.popup.style.height = document.defaultView.getComputedStyle(this.element, null).getPropertyValue("height");
	this.popup.style.width = document.defaultView.getComputedStyle(this.element, null).getPropertyValue("width");
	this.popup.style.top = document.defaultView.getComputedStyle(this.element, null).getPropertyValue("top");
	this.popup.style.left = document.defaultView.getComputedStyle(this.element, null).getPropertyValue("left");

	var optgrp = document.createElement("optgroup");
	optgrp.label = caption;
	
	for (var i=0; i<list.length; i++) {
		var opt = document.createElement("option");
		opt.text = list[i].txt;
		opt.value = list[i].val;
		optgrp.appendChild(opt);
	}
	this.popup.appendChild(optgrp);

	this.popup.addEventListener('change', this.selected, false);
	if (callback)
		this.popup.addEventListener('change', callback, false);
	this.popup.setAttribute('selectedIndex', 0);
}


MyToolbarPopupButton.prototype.selected = function (e)
{
	_log("selected! " + this.options[this.selectedIndex].value);
}


MyToolbarPopupButton.prototype.getValue = function () 
{
	return this.popup.options[this.popup.selectedIndex].value;
}


MyToolbarEnhance = new MyToolbarPopupButton();


MyToolbarEnhance.setup = function (element, parent)
{
	var self = MyToolbarEnhance;
	this._setup(element, parent, "Image Enhancer (Disabled!)",
		new Array(
			{txt:"None", val:""},
			{txt:"Low", val:"Low"},
			{txt:"High", val:"High"}
		), null);
};


MyToolbarEffect = new MyToolbarPopupButton();

MyToolbarEffect.setup = function (element, parent)
{
	var self = MyToolbarEffect;
	self._setup(element, parent, "Effects",
		new Array(
			{txt:"None", val:""},
			{txt:"Toy Camera", val:"ToyCam"},
			{txt:"VTR", val:"VTR"},
			{txt:"Sepia", val:"Sepia"},
			{txt:"Edge Work", val:"EdgeWork"},
			{txt:"Color Map", val:"ColorMap"}
		), null);
};


MyToolbarFrame = new MyToolbarPopupButton();

MyToolbarFrame.setup = function (element, parent)
{
	var self = MyToolbarFrame;
	self._setup(element, parent, "Frames",
		new Array(
			{txt:"None", val:""},
			{txt:"Drop Shadow", val:"DropShadow"},
			{txt:"Reflection", val:"Reflection"},
			{txt:"Pushpin", val:"Pushpin"},
			{txt:"Round Rect", val:"RoundRect"}
		), null);
};


MyToolbarPreview  = new Object();

MyToolbarPreview.setup = function (element)
{
	var self = MyToolbarPreview;
	self.element = element;
	self.element.addEventListener('mousedown', self.click, false);
}

MyToolbarPreview.click = function (event)
{
	var self = MyToolbarPreview;
	if (! MyCanvas.image) {
		var filename = plugin.captureScreen(MyCanvas.left, MyCanvas.top, MyCanvas.right, MyCanvas.bottom);
		if (! filename)
			return;
		MyCanvas.loadImage(filename);
		return;
	}
	MyCanvas.applyChanges();
    plugin.goPreview();
	// plugin.saveToDesktop();
    // widget.system("/Applications/Dock.app", null);
    // or handle copy;
}
